{
  "name": "siteforge",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "api": "node --env-file=.env server.js",
    "dev:full": "concurrently \"npm:api\" \"npm:dev\"",
    "build": "tsc -b && vite build",
    "start": "node --env-file=.env server.js",
    "lint": "eslint .",
    "preview": "vite preview"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/sortable": "^10.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "chart.js": "^4.4.0",
    "docx": "^9.6.1",
    "express": "^5.2.1",
    "express-rate-limit": "^8.4.1",
    "otplib": "^13.4.0",
    "prop-types": "^15.8.1",
    "qrcode": "^1.5.4",
    "react": "^19.2.4",
    "react-chartjs-2": "^5.2.0",
    "react-dom": "^19.2.4",
    "react-markdown": "^10.1.0",
    "react-router-dom": "^7.13.1",
    "react-simple-maps": "^3.0.0",
    "remark-gfm": "^4.0.1",
    "resend": "^6.10.0"
  },
  "devDependencies": {
    "@eslint/js": "^9.39.4",
    "@types/node": "^24.12.0",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^6.0.0",
    "concurrently": "^9.2.1",
    "eslint": "^9.39.4",
    "eslint-plugin-react-hooks": "^7.0.1",
    "eslint-plugin-react-refresh": "^0.5.2",
    "globals": "^17.4.0",
    "typescript": "~5.9.3",
    "typescript-eslint": "^8.56.1",
    "vite": "^8.0.0"
  }
}
